#This is an example of how to export only and then instead of collecting, uses
# the host list file generated by a centrlized collector that stores it in
# a shared location. This profile also create the directory structure needed
# and link the shared location to the local filesystem  
# You can have one of the following three configuration:
# #  * All hosts export and collect, in this case use pdsh_export_collect
# in all nodes
# #  * All hosts export but dedicated host collect and share the result over
# a shared folder. Use export only for the hosts and collect only
# for the collector
# #  * All hosts export including the dedicated collector and only the
# collector export and collect. Use pdsh_export_collect for the collector and
# pdsh_export for all the other hosts. This is useful when there is a need to
# include the collector in the resulted host list

class pdsh_export {

  $cluster = $::ecc_clustername
  $directory = '/etc/dsh/group'
  $dsh = '/etc/dsh'

  file { $dsh:
    ensure => 'directory',
  }

  ->

  file { "pdsh_${directory}":
    ensure => 'link',
    path   => $directory,
    force  => true,
    target => '/enod/hpc/dsh/group',
  }

  ->

  ::hosts_list::export{ $cluster:
    directory  =>  $directory,
  }

}
